package ApacheKit::Find;

use ApacheKit::Base;
@ISA = qw(ApacheKit::Base);

use strict;

sub _init {
   my $self = shift;
   #$self->{ 'foo' } = 'bar';
}

sub command {
   my $self          = shift;
   my $command_name  = shift;

   my @path = split( ':', $ENV{ 'PATH' } );

   #foreach my $item ( @path ) { print "T: $item\n"; }
   return
   $self->find_file_in_path(
      $command_name,
      \@path,
   );

}

sub header {
   my $self          = shift;
   my $header_name   = shift;

   my @path = ( '/include', '/usr/include', '/usr/local/include', '/usr/local/include/aspell' );

   return
   $self->find_file_in_path(
      $header_name,
      \@path,
   );

}

sub library {
   my $self          = shift;
   my $library_name  = shift;

   my @path = ( 
      '/lib',
      '/usr/lib',
      '/usr/local/lib',
      '/usr/local/mysql',
      '/usr/local/mysql/lib',
      '/usr/mysql/lib',
   );

   return
   $self->find_file_in_path(
      $library_name,
      \@path,
   );

}

sub find_file_in_path {
   my $self = shift;
   my $file = shift;
   my $path = shift;

   foreach my $path_elem ( @$path ) {
      my $canidate = $path_elem . '/' . $file;
      #print "canadite file : $canidate\n";
      if ( -f $canidate ) {
         return $canidate;
      }

   }

   return 'NOT FOUND';

}

1;
